### Method

# Gio ZlibCompressor set_os

since: 2.86

#### Declaration [src]

    void
    g_zlib_compressor_set_os (
      GZlibCompressor* compressor,
      int os
    )

#### Description [src]

Sets the `GZlibCompressor:os` property.

Note: it is an error to call this function while a compression is in progress; it may only be called immediately after creation of `compressor`, or after resetting it with `g_converter_reset()`.

Available since: 2.86

Sets property | `Gio.ZlibCompressor:os`

#### Parameters

`os`

  Type: `int`

  The OS code to use, or `-1` to unset.